Widget endpoints
GET /config
Section titled “GET /config”Tenant configuration for the launcher. Cached for 60 seconds.
Query parameters
Section titled “Query parameters”| Field | Type | Required | Notes |
|---|---|---|---|
key |
string | no | pattern ^pk_(?:live|test)_[0-9A-Za-z]{32}$ |
location |
string | no | max length 64, pattern ^[a-z0-9]+(?:-[a-z0-9]+)*$ |
JSON Schema
{ "type": "object", "properties": { "key": { "type": "string", "pattern": "^pk_(?:live|test)_[0-9A-Za-z]{32}$" }, "location": { "type": "string", "maxLength": 64, "pattern": "^[a-z0-9]+(?:-[a-z0-9]+)*$" } }, "additionalProperties": false}Response
Section titled “Response”| Field | Type | Required | Notes |
|---|---|---|---|
request_id |
string | yes | min length 1, max length 128 |
tenant |
object | yes | |
mode |
test or live |
yes | |
locations |
array of object | yes | |
appearance |
object | yes | |
features |
object | yes | |
tokens |
object | yes | |
allowed_origins |
array of string | yes | |
version |
object | yes |
JSON Schema
{ "type": "object", "properties": { "request_id": { "type": "string", "minLength": 1, "maxLength": 128 }, "tenant": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$" }, "name": { "type": "string", "minLength": 1, "maxLength": 200 }, "type": { "type": "string", "enum": [ "dispensary", "brand", "producer" ] }, "status": { "type": "string", "enum": [ "lead", "sandbox", "onboarding", "review_pending", "review_passed", "active", "paused", "suspended", "offboarded" ] } }, "required": [ "id", "name", "type", "status" ], "additionalProperties": false }, "mode": { "type": "string", "enum": [ "test", "live" ] }, "locations": { "type": "array", "items": { "type": "object", "properties": { "slug": { "type": "string", "maxLength": 64, "pattern": "^[a-z0-9]+(?:-[a-z0-9]+)*$" }, "name": { "type": "string", "minLength": 1, "maxLength": 200 }, "state": { "anyOf": [ { "type": "string", "enum": [ "AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "DC", "FL", "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY", "AS", "GU", "MP", "PR", "VI" ] }, { "type": "null" } ] }, "gate": { "type": "string", "enum": [ "none", "age21", "age18_card", "age21_or_card" ] }, "menu_url_template": { "anyOf": [ { "type": "string", "maxLength": 2048, "pattern": "^https:\\/\\/\\S+$" }, { "type": "null" } ] } }, "required": [ "slug", "name", "state", "gate", "menu_url_template" ], "additionalProperties": false } }, "appearance": { "type": "object", "properties": { "tone": { "type": "string", "enum": [ "clinical", "balanced", "warm", "concise" ] }, "primary": { "type": "string", "pattern": "^#[0-9a-fA-F]{6}$" }, "surface": { "type": "string", "enum": [ "light", "dark" ] }, "font_pair": { "type": "string", "enum": [ "brand", "serif_only", "sans_only" ] }, "launcher_position": { "type": "string", "enum": [ "bottom_right", "bottom_left" ] }, "greeting": { "anyOf": [ { "type": "string", "minLength": 1, "maxLength": 280 }, { "type": "null" } ] } }, "required": [ "tone", "primary", "surface", "font_pair", "launcher_position", "greeting" ], "additionalProperties": false }, "features": { "type": "object", "properties": { "help_search": { "type": "boolean" }, "case_study_link": { "type": "boolean" }, "consumer_signin": { "type": "boolean" } }, "required": [ "help_search", "case_study_link", "consumer_signin" ], "additionalProperties": false }, "tokens": { "type": "object", "properties": { "ai_disclosure": { "type": "string", "minLength": 1 }, "not_medical_advice": { "type": "string", "minLength": 1 }, "dshea": { "type": "string", "minLength": 1 }, "crisis": { "type": "string", "minLength": 1 }, "state": { "type": "array", "items": { "type": "string", "minLength": 1 } } }, "required": [ "ai_disclosure", "not_medical_advice", "dshea", "crisis", "state" ], "additionalProperties": false }, "allowed_origins": { "type": "array", "items": { "type": "string", "maxLength": 262 } }, "version": { "type": "object", "properties": { "api": { "type": "string", "const": "1" }, "packs": { "type": "object", "propertyNames": { "type": "string", "pattern": "^US-(FED|[A-Z]{2})$" }, "additionalProperties": { "type": "string", "pattern": "^(0|[1-9]\\d*)\\.(0|[1-9]\\d*)\\.(0|[1-9]\\d*)$" } } }, "required": [ "api", "packs" ], "additionalProperties": false } }, "required": [ "request_id", "tenant", "mode", "locations", "appearance", "features", "tokens", "allowed_origins", "version" ], "additionalProperties": false}POST /chat
Section titled “POST /chat”One chat turn. Answers carry citations; a refusal names a rule and a category.
Request body
Section titled “Request body”| Field | Type | Required | Notes |
|---|---|---|---|
session_id |
string (uuid) | yes | pattern ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$ |
location_slug |
string | no | max length 64, pattern ^[a-z0-9]+(?:-[a-z0-9]+)*$ |
message |
string | yes | min length 1, max length 1000, pattern \S |
gate |
object | yes | |
turn |
integer | yes | min 0, max 9007199254740991 |
JSON Schema
{ "type": "object", "properties": { "session_id": { "type": "string", "format": "uuid", "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$" }, "location_slug": { "type": "string", "maxLength": 64, "pattern": "^[a-z0-9]+(?:-[a-z0-9]+)*$" }, "message": { "type": "string", "minLength": 1, "maxLength": 1000, "pattern": "\\S" }, "gate": { "type": "object", "properties": { "attested": { "type": "boolean" }, "type": { "type": "string", "enum": [ "none", "age21", "age18_card", "age21_or_card" ] } }, "required": [ "attested", "type" ], "additionalProperties": false }, "turn": { "type": "integer", "minimum": 0, "maximum": 9007199254740991 } }, "required": [ "session_id", "message", "gate", "turn" ], "additionalProperties": false}Response
Section titled “Response”| Field | Type | Required | Notes |
|---|---|---|---|
request_id |
string | yes | min length 1, max length 128 |
message_id |
string (uuid) | yes | pattern ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$ |
floor |
0 or 1 or 2 or 3 or 4 or 5 or R |
yes | |
segments |
array of object or object or object or object | yes | min items 1 |
citations |
array of object | yes | |
products |
array of object | yes | |
interactions |
array of object or object | yes | |
tokens |
array of string | yes | |
refusal |
object | no | |
confirmation |
object | no | |
billable |
boolean | yes | |
debug |
object | no |
JSON Schema
{ "type": "object", "properties": { "request_id": { "type": "string", "minLength": 1, "maxLength": 128 }, "message_id": { "type": "string", "format": "uuid", "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$" }, "floor": { "enum": [ 0, 1, 2, 3, 4, 5, "R" ] }, "segments": { "minItems": 1, "type": "array", "items": { "oneOf": [ { "type": "object", "properties": { "type": { "type": "string", "const": "prose" }, "text": { "type": "string", "minLength": 1 } }, "required": [ "type", "text" ], "additionalProperties": false }, { "type": "object", "properties": { "type": { "type": "string", "const": "figure" }, "text": { "type": "string", "minLength": 1 }, "fact_id": { "type": "string", "minLength": 1, "maxLength": 128 } }, "required": [ "type", "text", "fact_id" ], "additionalProperties": false }, { "type": "object", "properties": { "type": { "type": "string", "const": "citation" }, "text": { "type": "string", "minLength": 1 }, "citation_index": { "type": "integer", "minimum": 0, "maximum": 9007199254740991 } }, "required": [ "type", "text", "citation_index" ], "additionalProperties": false }, { "type": "object", "properties": { "type": { "type": "string", "const": "product" }, "text": { "type": "string", "minLength": 1 }, "product_id": { "type": "string", "format": "uuid", "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$" } }, "required": [ "type", "text", "product_id" ], "additionalProperties": false } ] } }, "citations": { "type": "array", "items": { "type": "object", "properties": { "pmid": { "type": "string", "pattern": "^[1-9]\\d{0,9}$" }, "title": { "type": "string", "minLength": 1, "maxLength": 1000 }, "journal": { "type": "string", "minLength": 1, "maxLength": 500 }, "year": { "type": "integer", "minimum": 1000, "maximum": 9999 }, "grade": { "type": "string", "enum": [ "A", "B", "C", "D", "insufficient" ] }, "design": { "type": "string", "enum": [ "rct", "crossover", "cohort", "case_control", "case_series", "case_report", "review", "meta_analysis", "in_vitro", "animal", "other" ] }, "n": { "anyOf": [ { "type": "integer", "exclusiveMinimum": 0, "maximum": 9007199254740991 }, { "type": "null" } ] }, "url": { "type": "string", "maxLength": 2048, "pattern": "^https:\\/\\/\\S+$" } }, "required": [ "pmid", "title", "journal", "year", "grade", "design", "n", "url" ], "additionalProperties": false } }, "products": { "type": "array", "items": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$" }, "sku": { "type": "string", "minLength": 1, "maxLength": 128 }, "name": { "type": "string", "minLength": 1, "maxLength": 300 }, "category": { "anyOf": [ { "type": "string", "enum": [ "flower", "pre_roll", "vape", "edible", "tincture", "topical", "concentrate", "capsule", "beverage" ] }, { "type": "string", "enum": [ "supplement", "food", "beverage", "topical" ] } ] }, "url": { "anyOf": [ { "type": "string", "maxLength": 2048, "pattern": "^https:\\/\\/\\S+$" }, { "type": "null" } ] }, "attributes": { "type": "array", "items": { "type": "object", "properties": { "label": { "type": "string", "minLength": 1, "maxLength": 80 }, "value": { "type": "string", "minLength": 1, "maxLength": 200 } }, "required": [ "label", "value" ], "additionalProperties": false } }, "verification": { "anyOf": [ { "type": "object", "properties": { "trust_tier": { "type": "string", "enum": [ "client_provided", "consistency_checked", "lab_verified" ] }, "note": { "type": "string", "minLength": 1, "maxLength": 200 }, "coa_issued_on": { "type": "string", "format": "date", "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))$" } }, "required": [ "trust_tier", "note", "coa_issued_on" ], "additionalProperties": false }, { "type": "null" } ] }, "add_to_cart": { "type": "boolean" } }, "required": [ "id", "sku", "name", "category", "url", "attributes", "verification", "add_to_cart" ], "additionalProperties": false } }, "interactions": { "type": "array", "items": { "oneOf": [ { "type": "object", "properties": { "status": { "type": "string", "const": "documented" }, "severity": { "type": "string", "enum": [ "major", "moderate", "minor" ] }, "compound": { "type": "object", "properties": { "key": { "type": "string", "maxLength": 64, "pattern": "^[a-z0-9]+(?:_[a-z0-9]+)*$" }, "name": { "type": "string", "minLength": 1, "maxLength": 200 } }, "required": [ "key", "name" ], "additionalProperties": false }, "drug_class": { "type": "object", "properties": { "key": { "type": "string", "maxLength": 64, "pattern": "^[a-z0-9]+(?:_[a-z0-9]+)*$" }, "name": { "type": "string", "minLength": 1, "maxLength": 200 } }, "required": [ "key", "name" ], "additionalProperties": false }, "citation": { "type": "object", "properties": { "title": { "type": "string", "minLength": 1 }, "url": { "type": "string", "maxLength": 2048, "pattern": "^https:\\/\\/\\S+$" } }, "required": [ "title", "url" ], "additionalProperties": false } }, "required": [ "status", "severity", "compound", "drug_class", "citation" ], "additionalProperties": false }, { "type": "object", "properties": { "status": { "type": "string", "const": "no_data" }, "compound": { "type": "object", "properties": { "key": { "type": "string", "maxLength": 64, "pattern": "^[a-z0-9]+(?:_[a-z0-9]+)*$" }, "name": { "type": "string", "minLength": 1, "maxLength": 200 } }, "required": [ "key", "name" ], "additionalProperties": false }, "drug_class": { "type": "object", "properties": { "key": { "type": "string", "maxLength": 64, "pattern": "^[a-z0-9]+(?:_[a-z0-9]+)*$" }, "name": { "type": "string", "minLength": 1, "maxLength": 200 } }, "required": [ "key", "name" ], "additionalProperties": false } }, "required": [ "status", "compound", "drug_class" ], "additionalProperties": false } ] } }, "tokens": { "type": "array", "items": { "type": "string", "minLength": 1 } }, "refusal": { "type": "object", "properties": { "rule_id": { "type": "string", "pattern": "^[a-z]{2,4}-[a-z]+-\\d{3}$" }, "category": { "type": "string", "enum": [ "prohibited_claim", "required_disclosure", "required_wording", "gate", "advertising_restriction", "ladder_cap", "availability" ] } }, "required": [ "rule_id", "category" ], "additionalProperties": false }, "confirmation": { "type": "object", "properties": { "kind": { "type": "string", "const": "medication" }, "options": { "minItems": 1, "type": "array", "items": { "type": "object", "properties": { "rxcui": { "type": "string", "pattern": "^[1-9]\\d{0,9}$" }, "name": { "type": "string", "minLength": 1, "maxLength": 300 } }, "required": [ "rxcui", "name" ], "additionalProperties": false } } }, "required": [ "kind", "options" ], "additionalProperties": false }, "billable": { "type": "boolean" }, "debug": { "type": "object", "properties": { "floor_reasons": { "type": "array", "items": { "type": "object", "properties": { "source": { "type": "string", "enum": [ "completeness", "evidence", "rules", "posture", "consumer", "retrieval", "verify" ] }, "max_floor": { "enum": [ 0, 1, 2, 3, 4, 5, "R" ] }, "detail": { "type": "string", "minLength": 1, "maxLength": 500 } }, "required": [ "source", "max_floor", "detail" ], "additionalProperties": false } }, "rules_evaluated": { "type": "array", "items": { "type": "object", "properties": { "rule_id": { "type": "string", "pattern": "^[a-z]{2,4}-[a-z]+-\\d{3}$" }, "outcome": { "type": "string", "enum": [ "no_match", "block", "degrade", "warn" ] } }, "required": [ "rule_id", "outcome" ], "additionalProperties": false } }, "citations_considered": { "type": "array", "items": { "type": "object", "properties": { "pmid": { "type": "string", "pattern": "^[1-9]\\d{0,9}$" }, "grade": { "type": "string", "enum": [ "A", "B", "C", "D", "insufficient", "retracted" ] }, "included": { "type": "boolean" }, "reason": { "type": "string", "minLength": 1, "maxLength": 500 } }, "required": [ "pmid", "grade", "included" ], "additionalProperties": false } }, "stage_timings": { "type": "array", "items": { "type": "object", "properties": { "stage": { "type": "string", "enum": [ "authenticate", "safety_prescreen", "classify", "help_check", "screen_interactions", "retrieve", "resolve_claims", "evaluate_rules", "determine_floor", "generate", "verify", "audit", "respond" ] }, "ms": { "type": "number", "minimum": 0 }, "outcome": { "type": "string", "enum": [ "completed", "ended", "failed", "skipped" ] } }, "required": [ "stage", "ms", "outcome" ], "additionalProperties": false } } }, "required": [ "floor_reasons", "rules_evaluated", "citations_considered", "stage_timings" ], "additionalProperties": false } }, "required": [ "request_id", "message_id", "floor", "segments", "citations", "products", "interactions", "tokens", "billable" ], "additionalProperties": false}POST /feedback
Section titled “POST /feedback”Rate an answer.
Request body
Section titled “Request body”| Field | Type | Required | Notes |
|---|---|---|---|
message_id |
string (uuid) | yes | pattern ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$ |
rating |
up or down |
yes | |
reason |
not_relevant or too_cautious or unclear or helpful or other |
yes |
JSON Schema
{ "type": "object", "properties": { "message_id": { "type": "string", "format": "uuid", "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$" }, "rating": { "type": "string", "enum": [ "up", "down" ] }, "reason": { "type": "string", "enum": [ "not_relevant", "too_cautious", "unclear", "helpful", "other" ] } }, "required": [ "message_id", "rating", "reason" ], "additionalProperties": false}Response
Section titled “Response”| Field | Type | Required | Notes |
|---|---|---|---|
request_id |
string | yes | min length 1, max length 128 |
ok |
true |
yes |
JSON Schema
{ "type": "object", "properties": { "request_id": { "type": "string", "minLength": 1, "maxLength": 128 }, "ok": { "type": "boolean", "const": true } }, "required": [ "request_id", "ok" ], "additionalProperties": false}GET /help/search
Section titled “GET /help/search”Search the tenant’s help articles.
Query parameters
Section titled “Query parameters”| Field | Type | Required | Notes |
|---|---|---|---|
q |
string | yes | min length 1, max length 200, pattern \S |
JSON Schema
{ "type": "object", "properties": { "q": { "type": "string", "minLength": 1, "maxLength": 200, "pattern": "\\S" } }, "required": [ "q" ], "additionalProperties": false}Response
Section titled “Response”| Field | Type | Required | Notes |
|---|---|---|---|
request_id |
string | yes | min length 1, max length 128 |
articles |
array of object | yes |
JSON Schema
{ "type": "object", "properties": { "request_id": { "type": "string", "minLength": 1, "maxLength": 128 }, "articles": { "type": "array", "items": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$" }, "title": { "type": "string", "minLength": 1, "maxLength": 300 }, "excerpt": { "type": "string", "maxLength": 1000 }, "url": { "type": "string", "maxLength": 2048, "pattern": "^https:\\/\\/\\S+$" } }, "required": [ "id", "title", "excerpt" ], "additionalProperties": false } } }, "required": [ "request_id", "articles" ], "additionalProperties": false}POST /study/apply
Section titled “POST /study/apply”Apply to the study. No key; carries a captcha token.
Request body
Section titled “Request body”| Field | Type | Required | Notes |
|---|---|---|---|
email |
string (email) | yes | max length 254, pattern ^(?:[A-Za-z0-9_'+\-]+\.)*[A-Za-z0-9_'+\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$ |
state |
AL or AK or AZ or AR or CA or CO or CT or DE or DC or FL or GA or HI or ID or IL or IN or IA or KS or KY or LA or ME or MD or MA or MI or MN or MS or MO or MT or NE or NV or NH or NJ or NM or NY or NC or ND or OH or OK or OR or PA or RI or SC or SD or TN or TX or UT or VT or VA or WA or WV or WI or WY or AS or GU or MP or PR or VI |
yes | |
age_attested |
true |
yes | |
source_tenant_id |
string (uuid) | no | pattern ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$ |
contact_consent |
boolean | yes | |
captcha_token |
string | yes | min length 1, max length 4096 |
JSON Schema
{ "type": "object", "properties": { "email": { "type": "string", "maxLength": 254, "format": "email", "pattern": "^(?:[A-Za-z0-9_'+\\-]+\\.)*[A-Za-z0-9_'+\\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$" }, "state": { "type": "string", "enum": [ "AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "DC", "FL", "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY", "AS", "GU", "MP", "PR", "VI" ] }, "age_attested": { "type": "boolean", "const": true }, "source_tenant_id": { "type": "string", "format": "uuid", "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$" }, "contact_consent": { "type": "boolean" }, "captcha_token": { "type": "string", "minLength": 1, "maxLength": 4096 } }, "required": [ "email", "state", "age_attested", "contact_consent", "captcha_token" ], "additionalProperties": false}Response
Section titled “Response”| Field | Type | Required | Notes |
|---|---|---|---|
request_id |
string | yes | min length 1, max length 128 |
ok |
true |
yes |
JSON Schema
{ "type": "object", "properties": { "request_id": { "type": "string", "minLength": 1, "maxLength": 128 }, "ok": { "type": "boolean", "const": true } }, "required": [ "request_id", "ok" ], "additionalProperties": false}POST /consumer/token
Section titled “POST /consumer/token”Exchange a signed-in session for a short-lived consumer token.
Request body
Section titled “Request body”| Field | Type | Required | Notes |
|---|---|---|---|
embed_origin |
string | yes | min length 1, max length 2048 |
JSON Schema
{ "type": "object", "properties": { "embed_origin": { "type": "string", "minLength": 1, "maxLength": 2048 } }, "required": [ "embed_origin" ], "additionalProperties": false}Response
Section titled “Response”| Field | Type | Required | Notes |
|---|---|---|---|
request_id |
string | yes | min length 1, max length 128 |
token |
string | yes | min length 1, max length 4096 |
expires_at |
string (date-time) | yes | pattern ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$ |
expires_in |
integer | yes | min 1, max 900 |
JSON Schema
{ "type": "object", "properties": { "request_id": { "type": "string", "minLength": 1, "maxLength": 128 }, "token": { "type": "string", "minLength": 1, "maxLength": 4096 }, "expires_at": { "type": "string", "format": "date-time", "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$" }, "expires_in": { "type": "integer", "minimum": 1, "maximum": 900 } }, "required": [ "request_id", "token", "expires_at", "expires_in" ], "additionalProperties": false}